/*STHMaker.c
  Eric Pepke
  Aug 10, 1992
  Makes ScianTemplateHelper.h
*/

#include <stdio.h>

main()
{
    char inLine[400];
    char name[400];
    FILE *inFile;
    FILE *outFile;

    inFile = fopen("ScianTemplateLib.h", "r");
    if (!inFile)
    {
	perror("STHMaker");
	exit(-1);
    }
    
    outFile = fopen("ScianTemplateHelper.h", "w");
    if (!outFile)
    {
	perror("STHMaker");
	exit(-1);
    }

    while (fgets(inLine, 350, inFile))
    {
	if (sscanf(inLine, "Template %s", &name))
	{
	    fprintf(outFile, "extern Template %s;\n", name);
	}
    }
    fclose(inFile);
    fclose(outFile);
    exit(0);
}
